# $Revision: 1.104 $, $Date: 2010/04/21 17:04:58 $
Summary:	LDAP Name Service Switch Module
Summary(es.UTF-8):	Biblioteca NSS para LDAP
Summary(pl.UTF-8):	Moduł NSS LDAP
Summary(pt_BR.UTF-8):	Biblioteca NSS para LDAP
Name:		nss_ldap
Version:	265
Release:	2
License:	LGPL
Group:		Base
Source0:	http://www.padl.com/download/%{name}-%{version}.tar.gz
# Source0-md5:	c1cb02d1a85538cf16bca6f6a562abe4
Patch0:		%{name}-am_fixes.patch
Patch1:		%{name}-nolibs.patch
Patch2:		%{name}-gecos-optional.patch
Patch3:		%{name}-group_range_fix.patch
Patch4:		%{name}-soname.patch
Patch5:		%{name}-heimdal.patch
URL:		http://www.padl.com/OSS/nss_ldap.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	cyrus-sasl-devel
Requires:	openldap-nss-config
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
nss_ldap is a C library extension (NSS module) which allows X.500 and
LDAP directory servers to be used as a primary source of aliases,
ethers, groups, hosts, networks, protocols, users, RPCs, services and
shadow passwords (instead of or in addition to using flat files or
NIS).

%description -l es.UTF-8
Este paquete contiene dos clientes de acceso a LDAP: nss_ldap y
pam_ldap.

nss_ldap son una serie de extensiones para la biblioteca C que
permiten que directorios X.500 y LDAP se usen como fuente de alias,
grupos, máquinas, protocolos, usuarios, RPCs, etc. (en vez de, o en
añadidura a, archivos normales o NIS)

pam_ldap es un módulo para Linux-PAM que da soporte al intercambio de
señas, clientes V2, Netscape SSL, ypldapd, políticas de contraseñas
Netscape Directory Server, autorización de acceso, hashes codificados,
etc.

%description -l pl.UTF-8
To jest nss_ldap - moduł serwisu nazw odczytujący dane z LDAP, który
można używać z glibc. Pozwala na korzystanie z serwerów X.500 i LDAP
jako głównego źródła aliasów, grup, hostów, sieci, protokołów,
użytkowników, RPC, usług i haseł (zamiast lub oprócz zwykłych plików
lub NIS).

%description -l pt_BR.UTF-8
Esse pacote contém dois clientes de acesso a LDAP: nss_ldap e
pam_ldap.

nss_ldap é uma série de extensões para a biblioteca C que permitem que
diretórios X.500 e LDAP sejam usados como fonte de apelidos, grupos,
máquinas, protocolos, usuários, RPCs, etc. (ao invés de, ou em adição
a, arquivos normais ou NIS)

pam_ldap é um módulo para o Linux-PAM que dá suporte a troca de
senhas, clientes V2, Netscape SSL, ypldapd, políticas de senhas
Netscape Directory Server, autorização de acesso, hashes encriptados,
etc.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

sed -i -e "s#NSS_VERS =.*#NSS_VERS = $(ls /%{_lib}/libnss_files.so.? | tail -n 1 | sed -e 's#/%{_lib}/libnss_files\.so\.\(.*\)#\1#')#g" Makefile.am
sed -i -e "s#LIBC_VERS =.*#LIBC_VERS = $(ls /%{_lib}/libc-*.so | tail -n 1 |sed -e 's#/%{_lib}/libc-\(.*\)\.so#\1#')#g" Makefile.am

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CFLAGS="%{rpmcflags} -DHEIMDAL" ; export CFLAGS
%configure \
	--with-ldap-lib=openldap \
	--enable-rfc2307bis \
	--enable-paged-results \
	--enable-configurable-krb5-ccname-env \
	--enable-configurable-krb5-ccname-gssapi \
	--enable-configurable-krb5-keytab

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE AUTHORS ChangeLog NEWS README nsswitch* ldap.conf
%attr(755,root,root) %{_libdir}/*.so*
%{_mandir}/man5/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nss_ldap.spec,v $
Revision 1.104  2010/04/21 17:04:58  arekm
- release 2

Revision 1.103  2010/03/30 20:34:21  zbyniu
- up to 265

Revision 1.102  2009/07/05 22:12:02  baggins
- rel 1
- fix building with heimdal

Revision 1.101  2009/07/02 14:38:34  baggins
- up to 264
- removed parse patch (fixed upstream)

Revision 1.100  2009/07/02 14:01:57  baggins
- rel 2

Revision 1.99  2008/08/04 15:45:07  zbyniu
- up to 261

Revision 1.98  2007-11-07 14:16:47  baggins
- up to 259
- removed mapping bcond (deprectated, schema mapping/rfc2307bis is built unconditionally by default)
- ignore malformed entries as glibc does (-parse.patch)
- set the soname to what glibc expects (-soname.patch)
- db is not required, not even remotely
- R: openldap-nss-config for /etc/ldap.conf
- enable configurable krb5 stuff

Revision 1.97  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.96  2007/05/10 18:08:38  arekm
- find out correct nss/libc versions on 64bit systems

Revision 1.95  2007/05/10 17:47:31  arekm
- up to 255

Revision 1.94  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.93  2007/02/12 08:26:56  arekm
- up to 254

Revision 1.92  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.91  2006/11/08 17:49:59  darekr
- fix URL

Revision 1.90  2006/10/31 11:32:53  czarny
- up to 253
- auxprop fail patch

Revision 1.89  2006/07/04 11:19:07  hawk
- updated to 251

Revision 1.88  2006/06/19 10:14:32  hawk
- added group_range_fix.patch
- release 2

Revision 1.87  2006/05/10 20:47:50  hawk
- updated to 250

Revision 1.86  2006/04/01 19:12:16  hawk
- updated to 249

Revision 1.85  2006/02/08 13:31:25  hawk
- updated to 248

Revision 1.84  2006/01/23 13:37:51  hawk
- updated to 246

Revision 1.83  2006/01/17 15:34:02  baggins
- release 3
- BR openldap 2.3

Revision 1.82  2006/01/16 21:32:58  hawk
- updated to 245.1
- release 2 (1 will be for Ra)

Revision 1.81  2005/12/26 14:30:21  hawk
- update to 244
- release 2 (1 for Ra)

Revision 1.80  2005/09/03 13:13:52  hawk
- release 3 (please remember about Ra)

Revision 1.79  2005/09/02 19:52:53  qboosh
- updated to 240 (CAN-2005-2069 patch already in sources)

Revision 1.78  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.77  2005/08/10 10:48:17  hawk
- removed obsolete security note

Revision 1.76  2005/08/10 10:44:44  hawk
- added fix for CAN-2005-2069
- release 3 (2 will be for Ra)

Revision 1.75  2005/07/14 11:25:14  glen
- security note

Revision 1.74  2005/06/27 17:49:04  undefine
- up to 239

Revision 1.73  2005/04/04 21:20:33  hawk
- include man page in package

Revision 1.72  2005/04/04 20:49:25  hawk
- updated to 238
- release 2 (1 for Ra)

Revision 1.71  2005/03/16 20:03:15  hawk
- updated to 235
- release 2 (1 for Ra)

Revision 1.70  2005/02/02 09:24:10  hawk
- updated to 233
- release 2 (1 for RA)

Revision 1.69  2005/01/12 12:52:10  hawk
- release 2 (1 for RA)

Revision 1.68  2005/01/12 11:09:01  czucz
- updated to 228

Revision 1.67  2004/12/29 22:26:45  hawk
- release 2 (1 for RA)

Revision 1.66  2004/12/26 23:47:15  hawk
- updated to 227

Revision 1.65  2004/10/06 14:23:59  hawk
- updated to 226

Revision 1.64  2004/06/08 09:39:06  hawk
- updated to 220

Revision 1.63  2004/04/03 19:51:19  qboosh
- updated to 217, lib64 fix, dropped openldap1 bcond

Revision 1.62  2004/01/08 21:42:15  pius
- fixed configure option

Revision 1.61  2004/01/08 21:37:44  pius
- updated to 215

Revision 1.60  2003/12/01 19:16:09  pius
- updated to 212

Revision 1.59  2003/11/15 04:57:42  aredridel
- fix gecos-mandatory bug
- up to rel 2

Revision 1.58  2003/10/05 21:32:27  pius
- added BuildRequires: cyrus-sasl-devel

Revision 1.57  2003/10/05 21:05:31  pius
- updated to 211
- added --enable-configurable-krb5-ccname confiugre option
- added ldap.conf to %%doc (it's pretty informative)

Revision 1.56  2003/09/14 00:52:52  pius
- fixed bcond style

Revision 1.55  2003/09/14 00:43:03  pius
- schema mapping enabled by default

Revision 1.54  2003/09/14 00:16:36  pius
- enabled paged results
- added schema mapping bcond

Revision 1.53  2003/08/14 15:32:22  baggins
- updated to 210

Revision 1.52  2003/08/12 22:32:50  ankry
- cosmetics

Revision 1.51  2003/06/06 06:08:21  ankry
- cosmetics

Revision 1.50  2003/05/28 12:59:55  malekith
- massive attack: source-md5

Revision 1.49  2003/05/25 05:51:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.48  2003/05/17 23:47:39  qboosh
- updated to 207
- added nolibs patch, improved pl description

Revision 1.47  2003/05/12 15:12:16  qboosh
- updated Source0 URL

Revision 1.46  2002/10/14 19:13:28  dzimi
- security update to nss_ldap-202
- rel 1

Revision 1.45  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.44  2002/06/30 20:35:35  kloczek
- updated to 195 (many bug fixes),
- use new %doc and removed RFC documentaion (it is avalaible in rfc packages).

Revision 1.43  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.42  2002/04/10 20:42:50  kloczek
- updated to 186 (bugfixes),
- merge translations from Conectiva.

Revision 1.41  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.40  2002/02/23 04:05:42  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/01/25 15:34:57  kura
- release 3
- added /lib/libnss_ldap.so.2 -> /lib/libnss_ldap-2.2.4.so link
STBR

Revision 1.37  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/12/06 12:56:48  qboosh
- adaperized, pl translations, cosmetics; release 2

Revision 1.35  2001/11/02 11:06:53  jajcus
- Version: 173

Revision 1.34  2001/09/06 19:12:43  kloczek
- updated to 172.

Revision 1.33  2001/08/06 16:26:49  kloczek
- updated to 167.

Revision 1.32  2001/07/04 13:48:35  kloczek
- updated to 159.

Revision 1.31  2001/06/24 23:00:09  kloczek
- updated to 158,
- added am_fixes aptch for correct build nss_ldap from non-root account,
- updated %doc files list,
- added using new autoconf and DESTDIR style install.

Revision 1.30  2001/05/22 09:06:33  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.29  2001/04/30 16:05:25  kloczek
- added using %%{rpmcflags} macro.

Revision 1.28  2001/01/25 20:03:41  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.27  2001/01/05 22:43:51  kloczek
- updated to 126.

Revision 1.26  2000/12/31 01:04:09  kloczek
- updated to 124.

Revision 1.25  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.24  2000/12/13 10:43:16  wiget
- version 123
- switch do bcond_* macros

Revision 1.23  2000/11/08 21:25:05  kloczek
- use new rpm automation.

Revision 1.22  2000/10/30 13:14:11  wiget
- 122
- if you don't like openldap2 then --define 'openldap1 1' to build this package

Revision 1.21  2000/10/16 11:11:10  wiget
BuildRequires: openldap >= 2.0.0

Revision 1.20  2000/10/16 11:10:36  wiget
120

Revision 1.19  2000/09/18 08:00:51  kloczek
- updated to 116.

Revision 1.18  2000/09/12 13:57:37  jajcus
- Release: 2
- updated for OpenLDAP 2.x.x

Revision 1.17  2000/07/25 07:18:54  kloczek
- updated to 113.

Revision 1.16  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/06/02 15:32:48  wiget
110

Revision 1.14  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.13  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/29 22:17:38  kloczek
- updated to 107,
- news URL.

Revision 1.11  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.10  2000/03/26 07:20:04  kloczek
- updated to 106.2.

Revision 1.9  2000/03/21 11:10:48  kloczek
- updated to 106.

Revision 1.8  2000/03/03 13:39:27  kloczek
- spec adapterized.

Revision 1.7  2000/03/03 12:46:29  wiget
105

Revision 1.6  2000/01/06 04:49:48  kloczek
- updated to 99.

Revision 1.5  1999/10/02 15:43:50  kloczek
- added passing $RPM_OPT_FLAGS to gcc parameters,
- added stripping shared nss_ldap module.

Revision 1.4  1999/10/01 20:19:12  kloczek
- removed COPYING.LIB because clear copyright statment is in Copyright
  field.

Revision 1.3  1999/10/01 19:47:09  waszi
- cosmetics

Revision 1.2  1999/09/11 15:00:21  jajcus
- BuildRequires: openldap-devel

Revision 1.1  1999/09/10 11:35:01  jajcus
- new spec for PLD
